%define anolis_release 3

Name: libutempter
Version: 1.2.1
Release: %{anolis_release}%{?dist}
Summary: A privileged helper for utmp/wtmp updates
License: LGPLv2+
URL: ftp://ftp.altlinux.org/pub/people/ldv/utempter

Source0: ftp://ftp.altlinux.org/pub/people/ldv/utempter/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: make
Requires(pre): shadow-utils

%description
This library provides interface for terminal emulators such as
screen and xterm to record user sessions to utmp and wtmp files.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development environment for utempter
Requires: %{name} = %{version}-%{release}

%description devel
This package contains development files required to build
utempter-based software.

%prep
%setup -q

%build
%make_build   libdir="%{_libdir}" libexecdir="%{_libexecdir}"

%install
%make_install libdir="%{_libdir}" libexecdir="%{_libexecdir}"

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%generate_compatibility_deps

%pre
{
    %{_sbindir}/groupadd -g 22 -r -f utmp || :
    %{_sbindir}/groupadd -g 35 -r -f utempter || :
}

%ldconfig_scriptlets

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libutempter.so.0
%{_libdir}/libutempter.so.1.*
%{abidir}/libutempter.dump
%dir %attr(755,root,utempter) %{_libexecdir}/utempter
%attr(2711,root,utmp) %{_libexecdir}/utempter/utempter

%files doc
%doc README

%files devel
%{_includedir}/utempter.h
%{_libdir}/libutempter.so
%{_mandir}/man3/*

%changelog
* Mon Feb 20 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 1.2.1-3
- add abi/api files

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.1-2
- add doc package

* Tue Mar 15 2022 Caspar Zhang <caspar@linux.alibaba.com> - 1.2.1-1
- Initial for Anolis OS 23
